Package twisted :: Package news :: Module database

[frames | no frames]

## Module twisted.news.database

News server backend implementations

Maintainer: Jp Calderone

Stability: semi-stable

Future Plans: A PyFramer-based backend and a new backend interface that is less NNTP specific

Classes
`Article` |
`Group` |
`INewsStorage` | An interface for storing and requesting news articles
`NewsShelf` | A NewStorage implementation using Twisted's dirdbm persistence module.
`NewsStorage` | Backwards compatibility class -- There is no reason to inherit from this, just implement INewsStorage instead.
`NewsStorageAugmentation` | A NewsStorage implementation using Twisted's asynchronous DB-API
`PickleStorage` | A trivial NewsStorage implementation using pickles

Exceptions
`NewsServerError` |

Function Summary
| `hexdigest(md5)`
| `makeGroupSQL(groups)`
| `makeOverviewSQL()`

Variable Summary
`list` | `OVERVIEW_FMT` = `['Subject', 'From', 'Date', 'Message-ID',...`

Variable Details

### OVERVIEW_FMT

  Type:
    `list`
  Value:

        ['Subject',
         'From',
         'Date',
         'Message-ID',
         'References',
         'Bytes',
         'Lines',
         'Xref']

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net